unit MainWindow;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, Series;

type
  TfmMainWindow = class(TForm)
    myChart: TChart;
    curv1: TLineSeries;
    curv2: TFastLineSeries;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmMainWindow: TfmMainWindow;

implementation

{$R *.dfm}

procedure TfmMainWindow.FormCreate(Sender: TObject);
const
  N1 = 128;
  N2 = 262144;
var
  k: Integer;
  h: Extended;
  X,Y: Extended;
begin
  curv1.Clear;
  curv2.Clear;
  h := 8./(N1-1);
  for k:=0 to N1-1 do
  begin
    X := k*h;
    Y := cos(PI*X-5*PI/12);
    curv1.AddXY(X,Y);
  end;
  h := 8./(N2-1);
  for k:=0 to N2-1 do
  begin
    X := k*h;
    Y := 0.7 * cos(8*PI*X+PI/9);
    curv2.AddXY(X,Y);
  end;
end;

end.
